# class Byebug::PryCommand

Enter Pry from byebug's prompt

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/pry.rb, line 17
        def self.description
          <<-DESCRIPTION
            pry

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/pry.rb, line 13
    def self.regexp
      /^\s* pry \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/pry.rb, line 25
    def self.short_description
      "Starts a Pry session"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/pry.rb, line 29
    def execute
      return errmsg(pr("base.errors.only_local")) unless processor.interface.instance_of?(LocalInterface)

      begin
        require "pry"
      rescue LoadError
        return errmsg(pr("pry.errors.not_installed"))
      end

      Pry.start(context.frame._binding)
    end